<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Serein.Library.Framework</name>
    </assembly>
    <members>
        <member name="M:Serein.Library.Framework.NodeFlow.FlipflopFunc.IsTaskOfFlipflop(System.Type)">
            <summary>
            传入触发器方法的返回类型，尝试获取Task[Flipflop[]] 中的泛型类型
            </summary>
        </member>
        <member name="T:Serein.Library.Framework.NodeFlow.FlipflopContext`1">
            <summary>
            触发器上下文
            </summary>
        </member>
        <member name="T:Serein.Library.Framework.NodeFlow.DynamicContext">
            <summary>
            动态流程上下文
            </summary>
        </member>
        <member name="P:Serein.Library.Framework.NodeFlow.DynamicContext.Env">
            <summary>
            运行环境
            </summary>
        </member>
        <member name="P:Serein.Library.Framework.NodeFlow.DynamicContext.RunState">
            <summary>
            运行状态
            </summary>
        </member>
        <member name="P:Serein.Library.Framework.NodeFlow.DynamicContext.Tag">
            <summary>
            用来在当前流程上下文间传递数据
            </summary>
        </member>
        <member name="P:Serein.Library.Framework.NodeFlow.DynamicContext.NextOrientation">
            <summary>
            当前节点执行完成后，设置该属性，让运行环境判断接下来要执行哪个分支的节点。
            </summary>
        </member>
        <member name="P:Serein.Library.Framework.NodeFlow.DynamicContext.ExceptionOfRuning">
            <summary>
            运行时异常信息
            </summary>
        </member>
        <member name="F:Serein.Library.Framework.NodeFlow.DynamicContext.dictNodeFlowData">
            <summary>
            每个上下文分别存放节点的当前数据
            </summary>
        </member>
        <member name="M:Serein.Library.Framework.NodeFlow.DynamicContext.SetPreviousNode(Serein.Library.NodeModelBase,Serein.Library.NodeModelBase)">
            <summary>
            设置运行时上一节点
            </summary>
            <param name="currentNodeModel">当前节点</param>
            <param name="PreviousNode">上一节点</param>
        </member>
        <member name="M:Serein.Library.Framework.NodeFlow.DynamicContext.GetPreviousNode(Serein.Library.NodeModelBase)">
            <summary>
            获取当前节点的运行时上一节点
            </summary>
            <param name="currentNodeModel"></param>
            <returns></returns>
        </member>
        <member name="M:Serein.Library.Framework.NodeFlow.DynamicContext.GetFlowData(System.String)">
            <summary>
            获取节点当前数据
            </summary>
            <returns></returns>
        </member>
        <member name="M:Serein.Library.Framework.NodeFlow.DynamicContext.AddOrUpdate(System.String,System.Object)">
            <summary>
            添加或更新当前节点数据
            </summary>
            <param name="nodeGuid">节点</param>
            <param name="flowData">新的数据</param>
        </member>
        <member name="M:Serein.Library.Framework.NodeFlow.DynamicContext.TransmissionData(Serein.Library.NodeModelBase)">
            <summary>
            上一节点数据透传到下一节点
            </summary>
            <param name="nodeModel"></param>
        </member>
        <member name="M:Serein.Library.Framework.NodeFlow.DynamicContext.Exit">
            <summary>
            结束流程
            </summary>
        </member>
    </members>
</doc>
